> ## Documentation Index
> Fetch the complete documentation index at: https://docs.justpaid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Line Item Get Api

> Retrieves a specific line item by UUID.



## OpenAPI

````yaml get /api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid}
openapi: 3.1.0
info:
  title: NinjaAPI
  version: 1.0.0
  description: ''
servers:
  - url: https://api.justpaid.io
security: []
paths:
  /api/v1/invoice/{invoice_uuid}/line-items/{line_item_uuid}:
    get:
      summary: Line Item Get Api
      description: Retrieves a specific line item by UUID.
      operationId: loopfour_backend_invoice_external_api_line_item_get_api
      parameters:
        - in: path
          name: invoice_uuid
          schema:
            title: Invoice Uuid
            type: string
          required: true
        - in: path
          name: line_item_uuid
          schema:
            title: Line Item Uuid
            type: string
          required: true
      responses:
        '200':
          description: Line item retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceLineItemOut2'
        '404':
          description: Line item or invoice not found
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response
                type: object
      security:
        - HttpBearerAuth: []
components:
  schemas:
    InvoiceLineItemOut2:
      description: Output schema for invoice line items with UUID for external API.
      properties:
        uuid:
          format: uuid
          title: Uuid
          type: string
        name:
          anyOf:
            - maxLength: 255
              type: string
            - type: 'null'
          title: Name
        unit_price:
          anyOf:
            - type: number
            - type: 'null'
          title: Unit Price
        quantity:
          anyOf:
            - type: integer
            - type: 'null'
          default: 1
          title: Quantity
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
        currency:
          anyOf:
            - maxLength: 3
              type: string
            - type: 'null'
          default: USD
          title: Currency
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: The description of the line item
          title: Description
        flat_fee:
          anyOf:
            - type: number
            - type: 'null'
          description: Fixed flat fee added to the line item amount
          title: Flat Fee
        tax_rate:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Tax Rate
        tax_amount:
          anyOf:
            - type: number
            - type: 'null'
          default: 0
          title: Tax Amount
        tax_name:
          anyOf:
            - maxLength: 255
              type: string
            - type: 'null'
          title: Tax Name
        discount_amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Discount Amount
        discount_percent:
          anyOf:
            - type: number
            - type: 'null'
          title: Discount Percent
        service_start_date:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          description: The date the service starts for the item
          title: Service Start Date
        service_end_date:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          description: The date the service ends for the item
          title: Service End Date
        display_order:
          anyOf:
            - type: integer
            - type: 'null'
          description: The order in which the line item will be displayed in the UI/pdf
          title: Display Order
      title: InvoiceLineItemOut2
      type: object
  securitySchemes:
    HttpBearerAuth:
      type: http
      scheme: bearer

````